Veritabanı oluşturur
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cache/redisEnterprise/{clusterName}/databases/{databaseName}?api-version=2026-09-01
URI Parametreleri
| Veri Akışı Adı |
İçinde |
Gerekli |
Tür |
Description |
|
clusterName
|
path |
True
|
string
pattern: ^(?=.{1,60}$)[A-Za-z0-9]+(-[A-Za-z0-9]+)*$
|
Redis Enterprise kümesinin adı. Ad 1-60 karakter uzunluğunda olmalıdır. İzin verilen karakterler (A-Z, a-z, 0-9) ve kısa çizgi(-). Başta, sonda veya ardışık kısa çizgi olamaz
|
|
databaseName
|
path |
True
|
string
pattern: ^(?=.{1,60}$)[A-Za-z0-9]+(-[A-Za-z0-9]+)*$
|
Redis Enterprise veritabanının adı.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Bu işlem için kullanılacak API sürümü.
|
İstek Gövdesi
| Veri Akışı Adı |
Tür |
Description |
|
properties.accessKeysAuthentication
|
AccessKeysAuthentication
|
Bu özellik, geçerli erişim anahtarlarıyla erişime izin vermek veya erişimi reddetmek için Etkin/Devre Dışı olabilir. Veritabanı oluşturulduktan sonra bile güncelleştirilebilir. Varsayılan devre dışıdır.
|
|
properties.clientProtocol
|
Protocol
|
Redis istemcilerinin TLS-encrypted veya düz metin redis protokollerini kullanarak bağlanıp bağlanamayacağını belirtir. Varsayılan olarak TLS ile şifrelenmiştir.
|
|
properties.clusteringPolicy
|
ClusteringPolicy
|
Kümeleme ilkesi - varsayılan değer OSSCluster'dır. Bu özellik yalnızca geçerli değer NoCluster olduğunda güncelleştirilebilir. Değer OSSCluster veya EnterpriseCluster ise, veritabanı silinmeden güncelleştirilemez.
|
|
properties.deferUpgrade
|
DeferUpgradeSetting
|
En yeni sürüm yayınlandığında yükseltmeyi erteleme seçeneği - varsayılan değer NotDeferred'dir. Daha fazla bilgi edinin: https://aka.ms/redisversionupgrade
|
|
properties.evictionPolicy
|
EvictionPolicy
|
Redis çıkarma ilkesi - varsayılan değer VolatileLRU'dur
|
|
properties.geoReplication
|
DatabasePropertiesGeoReplication
|
Bu veritabanı için coğrafi çoğaltmayı yapılandırmak için isteğe bağlı özellik kümesi.
|
|
properties.modules
|
Module[]
|
Bu veritabanında etkinleştirmek için isteğe bağlı redis modülleri kümesi - modüller yalnızca oluşturma zamanında eklenebilir.
|
|
properties.notifyKeyspaceEvents
|
string
|
Hangi anahtar alanı olaylarının bildirimleri tetikleyeceğini belirtir. Varsayılan olarak boş bir dizedir, bu da bu özelliğin devre dışı bırakılması anlamına gelir. Etkinleştirildiğinde, en az 'K' (anahtar alanı olayları) veya 'E' (anahtar olay olayları) bulunmalıdır. Örneğin, 'AKE' tüm standart olayları etkinleştirir. Etkinlik türlerinin tam listesi için bakınız https://redis.io/docs/latest/develop/use/keyspace-notifications/ .
|
|
properties.persistence
|
Persistence
|
Kalıcılık ayarları
|
|
properties.port
|
integer
(int32)
|
Veritabanı uç noktasının TCP bağlantı noktası. Oluşturma zamanında belirtilir. Varsayılan olarak kullanılabilir bir bağlantı noktasıdır.
|
Yanıtlar
| Veri Akışı Adı |
Tür |
Description |
|
200 OK
|
Database
|
Kaynak 'Veritabanı' güncelleştirme işlemi başarılı oldu
|
|
201 Created
|
Database
|
Kaynak 'Veritabanı' oluşturma işlemi başarılı oldu
Üst Bilgiler
- Azure-AsyncOperation: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Beklenmeyen bir hata yanıtı.
|
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Veri Akışı Adı |
Description |
|
user_impersonation
|
kullanıcı hesabınızı taklit etme
|
Örnekler
RedisEnterpriseDatabasesCreate
Örnek isteği
PUT https://management.azure.com/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default?api-version=2026-09-01
{
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "AllKeysLRU",
"notifyKeyspaceEvents": "KEA",
"modules": [
{
"name": "RedisBloom",
"args": "ERROR_RATE 0.00 INITIAL_SIZE 400"
},
{
"name": "RedisTimeSeries",
"args": "RETENTION_POLICY 20"
},
{
"name": "RediSearch"
}
],
"persistence": {
"aofEnabled": true,
"aofFrequency": "1s"
},
"port": 10000
}
}
import com.azure.resourcemanager.redisenterprise.models.AccessKeysAuthentication;
import com.azure.resourcemanager.redisenterprise.models.AofFrequency;
import com.azure.resourcemanager.redisenterprise.models.ClusteringPolicy;
import com.azure.resourcemanager.redisenterprise.models.DeferUpgradeSetting;
import com.azure.resourcemanager.redisenterprise.models.EvictionPolicy;
import com.azure.resourcemanager.redisenterprise.models.Module;
import com.azure.resourcemanager.redisenterprise.models.Persistence;
import com.azure.resourcemanager.redisenterprise.models.Protocol;
import java.util.Arrays;
/**
* Samples for Databases Create.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreate.json
*/
/**
* Sample code: RedisEnterpriseDatabasesCreate.
*
* @param manager Entry point to RedisEnterpriseManager.
*/
public static void
redisEnterpriseDatabasesCreate(com.azure.resourcemanager.redisenterprise.RedisEnterpriseManager manager) {
manager.databases().define("default").withExistingRedisEnterprise("rg1", "cache1")
.withAccessKeysAuthentication(AccessKeysAuthentication.ENABLED).withClientProtocol(Protocol.ENCRYPTED)
.withPort(10000).withClusteringPolicy(ClusteringPolicy.ENTERPRISE_CLUSTER)
.withEvictionPolicy(EvictionPolicy.ALL_KEYS_LRU)
.withPersistence(new Persistence().withAofEnabled(true).withAofFrequency(AofFrequency.ONES))
.withModules(Arrays.asList(new Module().withName("RedisBloom").withArgs("ERROR_RATE 0.00 INITIAL_SIZE 400"),
new Module().withName("RedisTimeSeries").withArgs("RETENTION_POLICY 20"),
new Module().withName("RediSearch")))
.withDeferUpgrade(DeferUpgradeSetting.NOT_DEFERRED).withNotifyKeyspaceEvents("KEA").create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.redisenterprise import RedisEnterpriseManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-redisenterprise
# USAGE
python redis_enterprise_databases_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RedisEnterpriseManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.databases.begin_create(
resource_group_name="rg1",
cluster_name="cache1",
database_name="default",
parameters={
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "AllKeysLRU",
"modules": [
{"args": "ERROR_RATE 0.00 INITIAL_SIZE 400", "name": "RedisBloom"},
{"args": "RETENTION_POLICY 20", "name": "RedisTimeSeries"},
{"name": "RediSearch"},
],
"notifyKeyspaceEvents": "KEA",
"persistence": {"aofEnabled": True, "aofFrequency": "1s"},
"port": 10000,
}
},
).result()
print(response)
# x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armredisenterprise_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/redisenterprise/armredisenterprise/v4"
)
// Generated from example definition: 2026-09-01/RedisEnterpriseDatabasesCreate.json
func ExampleDatabasesClient_BeginCreate_redisEnterpriseDatabasesCreate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armredisenterprise.NewClientFactory("e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDatabasesClient().BeginCreate(ctx, "rg1", "cache1", "default", armredisenterprise.Database{
Properties: &armredisenterprise.DatabaseCreateProperties{
AccessKeysAuthentication: to.Ptr(armredisenterprise.AccessKeysAuthenticationEnabled),
ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyEnterpriseCluster),
DeferUpgrade: to.Ptr(armredisenterprise.DeferUpgradeSettingNotDeferred),
EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyAllKeysLRU),
NotifyKeyspaceEvents: to.Ptr("KEA"),
Modules: []*armredisenterprise.Module{
{
Name: to.Ptr("RedisBloom"),
Args: to.Ptr("ERROR_RATE 0.00 INITIAL_SIZE 400"),
},
{
Name: to.Ptr("RedisTimeSeries"),
Args: to.Ptr("RETENTION_POLICY 20"),
},
{
Name: to.Ptr("RediSearch"),
},
},
Persistence: &armredisenterprise.Persistence{
AofEnabled: to.Ptr(true),
AofFrequency: to.Ptr(armredisenterprise.AofFrequencyOneS),
},
Port: to.Ptr[int32](10000),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armredisenterprise.DatabasesClientCreateResponse{
// Database: armredisenterprise.Database{
// Name: to.Ptr("cache1/default"),
// Type: to.Ptr("Microsoft.Cache/redisEnterprise/databases"),
// ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
// Properties: &armredisenterprise.DatabaseCreateProperties{
// AccessKeysAuthentication: to.Ptr(armredisenterprise.AccessKeysAuthenticationEnabled),
// ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
// ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyEnterpriseCluster),
// DeferUpgrade: to.Ptr(armredisenterprise.DeferUpgradeSettingNotDeferred),
// EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyAllKeysLRU),
// NotifyKeyspaceEvents: to.Ptr("KEA"),
// Modules: []*armredisenterprise.Module{
// {
// Name: to.Ptr("RedisBloom"),
// Args: to.Ptr("ERROR_RATE 0.00 INITIAL_SIZE 400"),
// Version: to.Ptr("1.0.0"),
// },
// {
// Name: to.Ptr("RedisTimeSeries"),
// Args: to.Ptr("RETENTION_POLICY 20"),
// Version: to.Ptr("1.0.0"),
// },
// {
// Name: to.Ptr("RediSearch"),
// Args: to.Ptr(""),
// Version: to.Ptr("1.0.0"),
// },
// },
// Persistence: &armredisenterprise.Persistence{
// AofEnabled: to.Ptr(true),
// AofFrequency: to.Ptr(armredisenterprise.AofFrequencyOneS),
// },
// Port: to.Ptr[int32](10000),
// ProvisioningState: to.Ptr(armredisenterprise.ProvisioningStateUpdating),
// RedisVersion: to.Ptr("6.0"),
// ResourceState: to.Ptr(armredisenterprise.ResourceStateUpdating),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RedisEnterpriseManagementClient } = require("@azure/arm-redisenterprisecache");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a database
*
* @summary creates a database
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreate.json
*/
async function redisEnterpriseDatabasesCreate() {
const credential = new DefaultAzureCredential();
const subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
const client = new RedisEnterpriseManagementClient(credential, subscriptionId);
const result = await client.databases.create("rg1", "cache1", "default", {
accessKeysAuthentication: "Enabled",
clientProtocol: "Encrypted",
clusteringPolicy: "EnterpriseCluster",
deferUpgrade: "NotDeferred",
evictionPolicy: "AllKeysLRU",
notifyKeyspaceEvents: "KEA",
modules: [
{ name: "RedisBloom", args: "ERROR_RATE 0.00 INITIAL_SIZE 400" },
{ name: "RedisTimeSeries", args: "RETENTION_POLICY 20" },
{ name: "RediSearch" },
],
persistence: { aofEnabled: true, aofFrequency: "1s" },
port: 10000,
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.RedisEnterprise.Models;
using Azure.ResourceManager.RedisEnterprise;
// Generated from example definition: specification/redisenterprise/resource-manager/Microsoft.Cache/RedisEnterprise/stable/2026-09-01/examples/RedisEnterpriseDatabasesCreate.json
// this example is just showing the usage of "Databases_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this RedisEnterpriseClusterResource created on azure
// for more information of creating RedisEnterpriseClusterResource, please refer to the document of RedisEnterpriseClusterResource
string subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
string resourceGroupName = "rg1";
string clusterName = "cache1";
ResourceIdentifier redisEnterpriseClusterResourceId = RedisEnterpriseClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, clusterName);
RedisEnterpriseClusterResource redisEnterpriseCluster = client.GetRedisEnterpriseClusterResource(redisEnterpriseClusterResourceId);
// get the collection of this RedisEnterpriseDatabaseResource
RedisEnterpriseDatabaseCollection collection = redisEnterpriseCluster.GetRedisEnterpriseDatabases();
// invoke the operation
string databaseName = "default";
RedisEnterpriseDatabaseData data = new RedisEnterpriseDatabaseData
{
ClientProtocol = RedisEnterpriseClientProtocol.Encrypted,
Port = 10000,
ClusteringPolicy = RedisEnterpriseClusteringPolicy.EnterpriseCluster,
EvictionPolicy = RedisEnterpriseEvictionPolicy.AllKeysLru,
Persistence = new RedisPersistenceSettings
{
IsAofEnabled = true,
AofFrequency = PersistenceSettingAofFrequency.OneSecond,
},
Modules = {new RedisEnterpriseModule("RedisBloom")
{
Args = "ERROR_RATE 0.00 INITIAL_SIZE 400",
}, new RedisEnterpriseModule("RedisTimeSeries")
{
Args = "RETENTION_POLICY 20",
}, new RedisEnterpriseModule("RediSearch")},
DeferUpgrade = DeferUpgradeSetting.NotDeferred,
AccessKeysAuthentication = AccessKeysAuthentication.Enabled,
};
ArmOperation<RedisEnterpriseDatabaseResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, databaseName, data);
RedisEnterpriseDatabaseResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
RedisEnterpriseDatabaseData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "cache1/default",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "AllKeysLRU",
"notifyKeyspaceEvents": "KEA",
"modules": [
{
"name": "RedisBloom",
"args": "ERROR_RATE 0.00 INITIAL_SIZE 400",
"version": "1.0.0"
},
{
"name": "RedisTimeSeries",
"args": "RETENTION_POLICY 20",
"version": "1.0.0"
},
{
"name": "RediSearch",
"args": "",
"version": "1.0.0"
}
],
"persistence": {
"aofEnabled": true,
"aofFrequency": "1s"
},
"port": 10000,
"provisioningState": "Updating",
"redisVersion": "6.0",
"resourceState": "Updating"
}
}
{
"name": "cache1/db1",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/db1",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"evictionPolicy": "AllKeysLRU",
"notifyKeyspaceEvents": "KEA",
"modules": [
{
"name": "RedisBloom",
"args": "ERROR_RATE 0.00 INITIAL_SIZE 400",
"version": "1.0.0"
},
{
"name": "RedisTimeSeries",
"args": "RETENTION_POLICY 20",
"version": "1.0.0"
},
{
"name": "RediSearch",
"args": "",
"version": "1.0.0"
}
],
"persistence": {
"aofEnabled": true,
"aofFrequency": "1s"
},
"port": 10000,
"provisioningState": "Creating",
"resourceState": "Creating"
}
}
RedisEnterpriseDatabasesCreate No Cluster Cache
Örnek isteği
PUT https://management.azure.com/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default?api-version=2026-09-01
{
"properties": {
"clientProtocol": "Encrypted",
"clusteringPolicy": "NoCluster",
"evictionPolicy": "NoEviction",
"notifyKeyspaceEvents": "",
"port": 10000
}
}
import com.azure.resourcemanager.redisenterprise.models.ClusteringPolicy;
import com.azure.resourcemanager.redisenterprise.models.EvictionPolicy;
import com.azure.resourcemanager.redisenterprise.models.Protocol;
/**
* Samples for Databases Create.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesNoClusterCacheCreate.json
*/
/**
* Sample code: RedisEnterpriseDatabasesCreate No Cluster Cache.
*
* @param manager Entry point to RedisEnterpriseManager.
*/
public static void redisEnterpriseDatabasesCreateNoClusterCache(
com.azure.resourcemanager.redisenterprise.RedisEnterpriseManager manager) {
manager.databases().define("default").withExistingRedisEnterprise("rg1", "cache1")
.withClientProtocol(Protocol.ENCRYPTED).withPort(10000).withClusteringPolicy(ClusteringPolicy.NO_CLUSTER)
.withEvictionPolicy(EvictionPolicy.NO_EVICTION).withNotifyKeyspaceEvents("").create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.redisenterprise import RedisEnterpriseManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-redisenterprise
# USAGE
python redis_enterprise_databases_no_cluster_cache_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RedisEnterpriseManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.databases.begin_create(
resource_group_name="rg1",
cluster_name="cache1",
database_name="default",
parameters={
"properties": {
"clientProtocol": "Encrypted",
"clusteringPolicy": "NoCluster",
"evictionPolicy": "NoEviction",
"notifyKeyspaceEvents": "",
"port": 10000,
}
},
).result()
print(response)
# x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesNoClusterCacheCreate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armredisenterprise_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/redisenterprise/armredisenterprise/v4"
)
// Generated from example definition: 2026-09-01/RedisEnterpriseDatabasesNoClusterCacheCreate.json
func ExampleDatabasesClient_BeginCreate_redisEnterpriseDatabasesCreateNoClusterCache() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armredisenterprise.NewClientFactory("e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDatabasesClient().BeginCreate(ctx, "rg1", "cache1", "default", armredisenterprise.Database{
Properties: &armredisenterprise.DatabaseCreateProperties{
ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyNoCluster),
EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyNoEviction),
NotifyKeyspaceEvents: to.Ptr(""),
Port: to.Ptr[int32](10000),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armredisenterprise.DatabasesClientCreateResponse{
// Database: armredisenterprise.Database{
// Name: to.Ptr("cache1/default"),
// Type: to.Ptr("Microsoft.Cache/redisEnterprise/databases"),
// ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
// Properties: &armredisenterprise.DatabaseCreateProperties{
// AccessKeysAuthentication: to.Ptr(armredisenterprise.AccessKeysAuthenticationEnabled),
// ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
// ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyNoCluster),
// DeferUpgrade: to.Ptr(armredisenterprise.DeferUpgradeSettingNotDeferred),
// EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyNoEviction),
// NotifyKeyspaceEvents: to.Ptr(""),
// Port: to.Ptr[int32](10000),
// ProvisioningState: to.Ptr(armredisenterprise.ProvisioningStateUpdating),
// RedisVersion: to.Ptr("7.2"),
// ResourceState: to.Ptr(armredisenterprise.ResourceStateUpdating),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RedisEnterpriseManagementClient } = require("@azure/arm-redisenterprisecache");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a database
*
* @summary creates a database
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesNoClusterCacheCreate.json
*/
async function redisEnterpriseDatabasesCreateNoClusterCache() {
const credential = new DefaultAzureCredential();
const subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
const client = new RedisEnterpriseManagementClient(credential, subscriptionId);
const result = await client.databases.create("rg1", "cache1", "default", {
clientProtocol: "Encrypted",
clusteringPolicy: "NoCluster",
evictionPolicy: "NoEviction",
notifyKeyspaceEvents: "",
port: 10000,
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.RedisEnterprise.Models;
using Azure.ResourceManager.RedisEnterprise;
// Generated from example definition: specification/redisenterprise/resource-manager/Microsoft.Cache/RedisEnterprise/stable/2026-09-01/examples/RedisEnterpriseDatabasesNoClusterCacheCreate.json
// this example is just showing the usage of "Databases_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this RedisEnterpriseClusterResource created on azure
// for more information of creating RedisEnterpriseClusterResource, please refer to the document of RedisEnterpriseClusterResource
string subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
string resourceGroupName = "rg1";
string clusterName = "cache1";
ResourceIdentifier redisEnterpriseClusterResourceId = RedisEnterpriseClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, clusterName);
RedisEnterpriseClusterResource redisEnterpriseCluster = client.GetRedisEnterpriseClusterResource(redisEnterpriseClusterResourceId);
// get the collection of this RedisEnterpriseDatabaseResource
RedisEnterpriseDatabaseCollection collection = redisEnterpriseCluster.GetRedisEnterpriseDatabases();
// invoke the operation
string databaseName = "default";
RedisEnterpriseDatabaseData data = new RedisEnterpriseDatabaseData
{
ClientProtocol = RedisEnterpriseClientProtocol.Encrypted,
Port = 10000,
ClusteringPolicy = RedisEnterpriseClusteringPolicy.NoCluster,
EvictionPolicy = RedisEnterpriseEvictionPolicy.NoEviction,
};
ArmOperation<RedisEnterpriseDatabaseResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, databaseName, data);
RedisEnterpriseDatabaseResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
RedisEnterpriseDatabaseData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "cache1/default",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "NoCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "NoEviction",
"notifyKeyspaceEvents": "",
"port": 10000,
"provisioningState": "Updating",
"redisVersion": "7.2",
"resourceState": "Updating"
}
}
{
"name": "cache1/default",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "NoCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "NoEviction",
"notifyKeyspaceEvents": "",
"port": 10000,
"provisioningState": "Creating",
"redisVersion": "7.2",
"resourceState": "Creating"
}
}
RedisEnterpriseDatabasesCreate With Active Geo Replication
Örnek isteği
PUT https://management.azure.com/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default?api-version=2026-09-01
{
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"evictionPolicy": "NoEviction",
"geoReplication": {
"groupNickname": "groupName",
"linkedDatabases": [
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"
},
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"
}
]
},
"notifyKeyspaceEvents": "KEA",
"port": 10000
}
}
import com.azure.resourcemanager.redisenterprise.models.AccessKeysAuthentication;
import com.azure.resourcemanager.redisenterprise.models.ClusteringPolicy;
import com.azure.resourcemanager.redisenterprise.models.DatabasePropertiesGeoReplication;
import com.azure.resourcemanager.redisenterprise.models.EvictionPolicy;
import com.azure.resourcemanager.redisenterprise.models.LinkedDatabase;
import com.azure.resourcemanager.redisenterprise.models.Protocol;
import java.util.Arrays;
/**
* Samples for Databases Create.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreateWithGeoReplication.json
*/
/**
* Sample code: RedisEnterpriseDatabasesCreate With Active Geo Replication.
*
* @param manager Entry point to RedisEnterpriseManager.
*/
public static void redisEnterpriseDatabasesCreateWithActiveGeoReplication(
com.azure.resourcemanager.redisenterprise.RedisEnterpriseManager manager) {
manager.databases().define("default").withExistingRedisEnterprise("rg1", "cache1")
.withAccessKeysAuthentication(AccessKeysAuthentication.ENABLED).withClientProtocol(Protocol.ENCRYPTED)
.withPort(10000).withClusteringPolicy(ClusteringPolicy.ENTERPRISE_CLUSTER)
.withEvictionPolicy(EvictionPolicy.NO_EVICTION)
.withGeoReplication(new DatabasePropertiesGeoReplication().withGroupNickname("groupName")
.withLinkedDatabases(Arrays.asList(new LinkedDatabase().withId(
"/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
new LinkedDatabase().withId(
"/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"))))
.withNotifyKeyspaceEvents("KEA").create();
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.redisenterprise import RedisEnterpriseManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-redisenterprise
# USAGE
python redis_enterprise_databases_create_with_geo_replication.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = RedisEnterpriseManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.databases.begin_create(
resource_group_name="rg1",
cluster_name="cache1",
database_name="default",
parameters={
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"evictionPolicy": "NoEviction",
"geoReplication": {
"groupNickname": "groupName",
"linkedDatabases": [
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"
},
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"
},
],
},
"notifyKeyspaceEvents": "KEA",
"port": 10000,
}
},
).result()
print(response)
# x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreateWithGeoReplication.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armredisenterprise_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/redisenterprise/armredisenterprise/v4"
)
// Generated from example definition: 2026-09-01/RedisEnterpriseDatabasesCreateWithGeoReplication.json
func ExampleDatabasesClient_BeginCreate_redisEnterpriseDatabasesCreateWithActiveGeoReplication() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armredisenterprise.NewClientFactory("e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewDatabasesClient().BeginCreate(ctx, "rg1", "cache1", "default", armredisenterprise.Database{
Properties: &armredisenterprise.DatabaseCreateProperties{
AccessKeysAuthentication: to.Ptr(armredisenterprise.AccessKeysAuthenticationEnabled),
ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyEnterpriseCluster),
EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyNoEviction),
GeoReplication: &armredisenterprise.DatabasePropertiesGeoReplication{
GroupNickname: to.Ptr("groupName"),
LinkedDatabases: []*armredisenterprise.LinkedDatabase{
{
ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
},
{
ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"),
},
},
},
NotifyKeyspaceEvents: to.Ptr("KEA"),
Port: to.Ptr[int32](10000),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to poll the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armredisenterprise.DatabasesClientCreateResponse{
// Database: armredisenterprise.Database{
// Name: to.Ptr("cache1/default"),
// Type: to.Ptr("Microsoft.Cache/redisEnterprise/databases"),
// ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
// Properties: &armredisenterprise.DatabaseCreateProperties{
// AccessKeysAuthentication: to.Ptr(armredisenterprise.AccessKeysAuthenticationEnabled),
// ClientProtocol: to.Ptr(armredisenterprise.ProtocolEncrypted),
// ClusteringPolicy: to.Ptr(armredisenterprise.ClusteringPolicyEnterpriseCluster),
// DeferUpgrade: to.Ptr(armredisenterprise.DeferUpgradeSettingNotDeferred),
// EvictionPolicy: to.Ptr(armredisenterprise.EvictionPolicyNoEviction),
// GeoReplication: &armredisenterprise.DatabasePropertiesGeoReplication{
// GroupNickname: to.Ptr("groupName"),
// LinkedDatabases: []*armredisenterprise.LinkedDatabase{
// {
// ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
// State: to.Ptr(armredisenterprise.LinkStateLinking),
// },
// {
// ID: to.Ptr("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f2/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"),
// State: to.Ptr(armredisenterprise.LinkStateLinking),
// },
// },
// },
// NotifyKeyspaceEvents: to.Ptr("KEA"),
// Port: to.Ptr[int32](10000),
// ProvisioningState: to.Ptr(armredisenterprise.ProvisioningStateUpdating),
// RedisVersion: to.Ptr("6.0"),
// ResourceState: to.Ptr(armredisenterprise.ResourceStateUpdating),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { RedisEnterpriseManagementClient } = require("@azure/arm-redisenterprisecache");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to creates a database
*
* @summary creates a database
* x-ms-original-file: 2026-09-01/RedisEnterpriseDatabasesCreateWithGeoReplication.json
*/
async function redisEnterpriseDatabasesCreateWithActiveGeoReplication() {
const credential = new DefaultAzureCredential();
const subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
const client = new RedisEnterpriseManagementClient(credential, subscriptionId);
const result = await client.databases.create("rg1", "cache1", "default", {
accessKeysAuthentication: "Enabled",
clientProtocol: "Encrypted",
clusteringPolicy: "EnterpriseCluster",
evictionPolicy: "NoEviction",
geoReplication: {
groupNickname: "groupName",
linkedDatabases: [
{
id: "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
},
{
id: "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default",
},
],
},
notifyKeyspaceEvents: "KEA",
port: 10000,
});
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.RedisEnterprise.Models;
using Azure.ResourceManager.RedisEnterprise;
// Generated from example definition: specification/redisenterprise/resource-manager/Microsoft.Cache/RedisEnterprise/stable/2026-09-01/examples/RedisEnterpriseDatabasesCreateWithGeoReplication.json
// this example is just showing the usage of "Databases_Create" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this RedisEnterpriseClusterResource created on azure
// for more information of creating RedisEnterpriseClusterResource, please refer to the document of RedisEnterpriseClusterResource
string subscriptionId = "e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f";
string resourceGroupName = "rg1";
string clusterName = "cache1";
ResourceIdentifier redisEnterpriseClusterResourceId = RedisEnterpriseClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, clusterName);
RedisEnterpriseClusterResource redisEnterpriseCluster = client.GetRedisEnterpriseClusterResource(redisEnterpriseClusterResourceId);
// get the collection of this RedisEnterpriseDatabaseResource
RedisEnterpriseDatabaseCollection collection = redisEnterpriseCluster.GetRedisEnterpriseDatabases();
// invoke the operation
string databaseName = "default";
RedisEnterpriseDatabaseData data = new RedisEnterpriseDatabaseData
{
ClientProtocol = RedisEnterpriseClientProtocol.Encrypted,
Port = 10000,
ClusteringPolicy = RedisEnterpriseClusteringPolicy.EnterpriseCluster,
EvictionPolicy = RedisEnterpriseEvictionPolicy.NoEviction,
GeoReplication = new RedisEnterpriseDatabaseGeoReplication
{
GroupNickname = "groupName",
LinkedDatabases = {new RedisEnterpriseLinkedDatabase
{
Id = new ResourceIdentifier("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default"),
}, new RedisEnterpriseLinkedDatabase
{
Id = new ResourceIdentifier("/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default"),
}},
},
AccessKeysAuthentication = AccessKeysAuthentication.Enabled,
};
ArmOperation<RedisEnterpriseDatabaseResource> lro = await collection.CreateOrUpdateAsync(WaitUntil.Completed, databaseName, data);
RedisEnterpriseDatabaseResource result = lro.Value;
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
RedisEnterpriseDatabaseData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "cache1/default",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Encrypted",
"clusteringPolicy": "EnterpriseCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "NoEviction",
"geoReplication": {
"groupNickname": "groupName",
"linkedDatabases": [
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"state": "Linking"
},
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f2/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default",
"state": "Linking"
}
]
},
"notifyKeyspaceEvents": "KEA",
"port": 10000,
"provisioningState": "Updating",
"redisVersion": "6.0",
"resourceState": "Updating"
}
}
{
"name": "cache1/db1",
"type": "Microsoft.Cache/redisEnterprise/databases",
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/db1",
"properties": {
"accessKeysAuthentication": "Enabled",
"clientProtocol": "Plaintext",
"clusteringPolicy": "EnterpriseCluster",
"deferUpgrade": "NotDeferred",
"evictionPolicy": "NoEviction",
"geoReplication": {
"groupNickname": "groupName",
"linkedDatabases": [
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8e/resourceGroups/rg1/providers/Microsoft.Cache/redisEnterprise/cache1/databases/default",
"state": "Linking"
},
{
"id": "/subscriptions/e7b5a9d2-6b6a-4d2f-9143-20d9a10f5b8f2/resourceGroups/rg2/providers/Microsoft.Cache/redisEnterprise/cache2/databases/default",
"state": "Linking"
}
]
},
"notifyKeyspaceEvents": "KEA",
"port": 10000,
"provisioningState": "Creating",
"redisVersion": "6.0",
"resourceState": "Creating"
}
}
Tanımlar
| Veri Akışı Adı |
Description |
|
AccessKeysAuthentication
|
Bu özellik, geçerli erişim anahtarlarıyla erişime izin vermek veya erişimi reddetmek için Etkin/Devre Dışı olabilir. Veritabanı oluşturulduktan sonra bile güncelleştirilebilir.
|
|
AofFrequency
|
Verilerin diske yazıldığı sıklığı ayarlar. Varsayılan olarak 'her saniye' anlamına gelen '1s'. Performans etkisi nedeniyle 'always' ayarının kullanım dışı bırakıldığını unutmayın.
|
|
ClusteringPolicy
|
Kümeleme ilkesi - varsayılan değer OSSCluster'dır. Bu özellik yalnızca geçerli değer NoCluster olduğunda güncelleştirilebilir. Değer OSSCluster veya EnterpriseCluster ise, veritabanı silinmeden güncelleştirilemez.
|
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
Database
|
Redis Enterprise kümesindeki bir veritabanını açıklar
|
|
DatabasePropertiesGeoReplication
|
Bu veritabanı için coğrafi çoğaltmayı yapılandırmak için isteğe bağlı özellik kümesi.
|
|
DeferUpgradeSetting
|
En yeni sürüm yayınlandığında yükseltmeyi erteleme seçeneği - varsayılan değer NotDeferred'dir. Daha fazla bilgi edinin: https://aka.ms/redisversionupgrade
|
|
ErrorAdditionalInfo
|
Kaynak yönetimi hatasına ilişkin ek bilgiler.
|
|
ErrorDetail
|
Hata ayrıntısı.
|
|
ErrorResponse
|
Hata yanıtı
|
|
EvictionPolicy
|
Redis çıkarma ilkesi - varsayılan değer VolatileLRU'dur
|
|
LinkedDatabase
|
Bağlı veritabanı kaynağının ayrıntılarını belirtir.
|
|
LinkState
|
Veritabanı kaynakları arasındaki bağlantının durumu.
|
|
Module
|
Redis modülünün yapılandırmasını belirtir
|
|
Persistence
|
Redis Enterprise veritabanı için kalıcılık ile ilgili yapılandırma
|
|
Protocol
|
Redis istemcilerinin TLS-encrypted veya düz metin redis protokollerini kullanarak bağlanıp bağlanamayacağını belirtir. Varsayılan olarak TLS ile şifrelenmiştir.
|
|
ProvisioningState
|
Geçerli sağlama durumu
|
|
RdbFrequency
|
Veritabanının anlık görüntüsünün oluşturulma sıklığını ayarlar.
|
|
ResourceState
|
Geçerli kaynak durumu
|
|
systemData
|
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
|
AccessKeysAuthentication
Numaralandırma
Bu özellik, geçerli erişim anahtarlarıyla erişime izin vermek veya erişimi reddetmek için Etkin/Devre Dışı olabilir. Veritabanı oluşturulduktan sonra bile güncelleştirilebilir.
| Değer |
Description |
|
Disabled
|
Disabled
|
|
Enabled
|
Enabled
|
AofFrequency
Numaralandırma
Verilerin diske yazıldığı sıklığı ayarlar. Varsayılan olarak 'her saniye' anlamına gelen '1s'. Performans etkisi nedeniyle 'always' ayarının kullanım dışı bırakıldığını unutmayın.
| Değer |
Description |
|
1s
|
1s
|
|
always
|
always
|
ClusteringPolicy
Numaralandırma
Kümeleme ilkesi - varsayılan değer OSSCluster'dır. Bu özellik yalnızca geçerli değer NoCluster olduğunda güncelleştirilebilir. Değer OSSCluster veya EnterpriseCluster ise, veritabanı silinmeden güncelleştirilemez.
| Değer |
Description |
|
EnterpriseCluster
|
Kurumsal kümeleme ilkesi yalnızca redis kümesi komutlarını desteklemeyen klasik redis protokollerini kullanır.
|
|
OSSCluster
|
OSS kümeleme ilkesi redis kümesi belirtimini izler ve tüm istemcilerin redis kümelemesi desteklemesini gerektirir.
|
|
NoCluster
|
NoCluster ilkesi, kümeleme özellikleri gerektirmeyen kümelenmemiş Redis örnekleri için kullanılır.
|
createdByType
Numaralandırma
Kaynağı oluşturan kimliğin türü.
| Değer |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
Database
Nesne
Redis Enterprise kümesindeki bir veritabanını açıklar
| Veri Akışı Adı |
Tür |
Default value |
Description |
|
id
|
string
(arm-id)
|
|
Kaynağın tam nitelikli kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
|
Kaynağın adı
|
|
properties.accessKeysAuthentication
|
AccessKeysAuthentication
|
Disabled
|
Bu özellik, geçerli erişim anahtarlarıyla erişime izin vermek veya erişimi reddetmek için Etkin/Devre Dışı olabilir. Veritabanı oluşturulduktan sonra bile güncelleştirilebilir. Varsayılan devre dışıdır.
|
|
properties.clientProtocol
|
Protocol
|
|
Redis istemcilerinin TLS-encrypted veya düz metin redis protokollerini kullanarak bağlanıp bağlanamayacağını belirtir. Varsayılan olarak TLS ile şifrelenmiştir.
|
|
properties.clusteringPolicy
|
ClusteringPolicy
|
|
Kümeleme ilkesi - varsayılan değer OSSCluster'dır. Bu özellik yalnızca geçerli değer NoCluster olduğunda güncelleştirilebilir. Değer OSSCluster veya EnterpriseCluster ise, veritabanı silinmeden güncelleştirilemez.
|
|
properties.deferUpgrade
|
DeferUpgradeSetting
|
|
En yeni sürüm yayınlandığında yükseltmeyi erteleme seçeneği - varsayılan değer NotDeferred'dir. Daha fazla bilgi edinin: https://aka.ms/redisversionupgrade
|
|
properties.evictionPolicy
|
EvictionPolicy
|
|
Redis çıkarma ilkesi - varsayılan değer VolatileLRU'dur
|
|
properties.geoReplication
|
DatabasePropertiesGeoReplication
|
|
Bu veritabanı için coğrafi çoğaltmayı yapılandırmak için isteğe bağlı özellik kümesi.
|
|
properties.modules
|
Module[]
|
|
Bu veritabanında etkinleştirmek için isteğe bağlı redis modülleri kümesi - modüller yalnızca oluşturma zamanında eklenebilir.
|
|
properties.notifyKeyspaceEvents
|
string
|
|
Hangi anahtar alanı olaylarının bildirimleri tetikleyeceğini belirtir. Varsayılan olarak boş bir dizedir, bu da bu özelliğin devre dışı bırakılması anlamına gelir. Etkinleştirildiğinde, en az 'K' (anahtar alanı olayları) veya 'E' (anahtar olay olayları) bulunmalıdır. Örneğin, 'AKE' tüm standart olayları etkinleştirir. Etkinlik türlerinin tam listesi için bakınız https://redis.io/docs/latest/develop/use/keyspace-notifications/ .
|
|
properties.persistence
|
Persistence
|
|
Kalıcılık ayarları
|
|
properties.port
|
integer
(int32)
|
|
Veritabanı uç noktasının TCP bağlantı noktası. Oluşturma zamanında belirtilir. Varsayılan olarak kullanılabilir bir bağlantı noktasıdır.
|
|
properties.provisioningState
|
ProvisioningState
|
|
Veritabanının geçerli sağlama durumu
|
|
properties.redisVersion
|
string
|
|
Veritabanının üzerinde çalıştığı Redis sürümü, örneğin '6.0'
|
|
properties.resourceState
|
ResourceState
|
|
Veritabanının geçerli kaynak durumu
|
|
systemData
|
systemData
|
|
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.
|
|
type
|
string
|
|
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"
|
DatabasePropertiesGeoReplication
Nesne
Bu veritabanı için coğrafi çoğaltmayı yapılandırmak için isteğe bağlı özellik kümesi.
| Veri Akışı Adı |
Tür |
Description |
|
groupNickname
|
string
|
Bağlı veritabanı kaynakları grubunun adı
|
|
linkedDatabases
|
LinkedDatabase[]
|
Bu veritabanına bağlanacak veritabanı kaynaklarının listesi
|
DeferUpgradeSetting
Numaralandırma
En yeni sürüm yayınlandığında yükseltmeyi erteleme seçeneği - varsayılan değer NotDeferred'dir. Daha fazla bilgi edinin: https://aka.ms/redisversionupgrade
| Değer |
Description |
|
Deferred
|
Ertelenmiş
|
|
NotDeferred
|
NotDeferred
|
ErrorAdditionalInfo
Nesne
Kaynak yönetimi hatasına ilişkin ek bilgiler.
| Veri Akışı Adı |
Tür |
Description |
|
info
|
object
|
Ek bilgiler.
|
|
type
|
string
|
Ek bilgi türü.
|
ErrorDetail
Nesne
Hata ayrıntısı.
| Veri Akışı Adı |
Tür |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Hata ek bilgisi.
|
|
code
|
string
|
Hata kodu.
|
|
details
|
ErrorDetail[]
|
Hata ayrıntıları.
|
|
message
|
string
|
Hata iletisi.
|
|
target
|
string
|
Hata hedefi
|
ErrorResponse
Nesne
Hata yanıtı
| Veri Akışı Adı |
Tür |
Description |
|
error
|
ErrorDetail
|
Hata nesnesi.
|
EvictionPolicy
Numaralandırma
Redis çıkarma ilkesi - varsayılan değer VolatileLRU'dur
| Değer |
Description |
|
AllKeysLFU
|
AllKeysLFU
|
|
AllKeysLRU
|
AllKeysLRU
|
|
AllKeysRandom
|
AllKeysRandom
|
|
VolatileLRU
|
VolatileLRU
|
|
VolatileLFU
|
VolatileLFU
|
|
VolatileTTL
|
VolatileTTL
|
|
VolatileRandom
|
VolatileRandom
|
|
NoEviction
|
NoEviction
|
LinkedDatabase
Nesne
Bağlı veritabanı kaynağının ayrıntılarını belirtir.
| Veri Akışı Adı |
Tür |
Description |
|
id
|
string
(arm-id)
|
Bu veritabanına bağlanacak veritabanı kaynağının kaynak kimliği.
|
|
state
|
LinkState
|
Veritabanı kaynakları arasındaki bağlantının durumu.
|
LinkState
Numaralandırma
Veritabanı kaynakları arasındaki bağlantının durumu.
| Değer |
Description |
|
Linked
|
Bağlantılı
|
|
Linking
|
Linking
|
|
Unlinking
|
Bağlantıyı kaldırma
|
|
LinkFailed
|
LinkFailed
|
|
UnlinkFailed
|
UnlinkFailed
|
Module
Nesne
Redis modülünün yapılandırmasını belirtir
| Veri Akışı Adı |
Tür |
Description |
|
args
|
string
|
Modül için yapılandırma seçenekleri, örneğin 'ERROR_RATE 0,01 INITIAL_SIZE 400'.
|
|
name
|
string
|
Modülün adı, örneğin 'RedisBloom', 'RediSearch', 'RedisTimeSeries'
|
|
version
|
string
|
Modülün sürümü, örneğin '1.0'.
|
Persistence
Nesne
Redis Enterprise veritabanı için kalıcılık ile ilgili yapılandırma
| Veri Akışı Adı |
Tür |
Description |
|
aofEnabled
|
boolean
|
AOF'nin etkinleştirilip etkinleştirilmediğini ayarlar. AOF veya RDB kalıcılığının en fazla birinin etkinleştirilebileceğini unutmayın.
|
|
aofFrequency
|
AofFrequency
|
Verilerin diske yazıldığı sıklığı ayarlar. Varsayılan olarak 'her saniye' anlamına gelen '1s'. Performans etkisi nedeniyle 'always' ayarının kullanım dışı bırakıldığını unutmayın.
|
|
rdbEnabled
|
boolean
|
RDB'nin etkinleştirilip etkinleştirilmediğini ayarlar. AOF veya RDB kalıcılığının en fazla birinin etkinleştirilebileceğini unutmayın.
|
|
rdbFrequency
|
RdbFrequency
|
Veritabanının anlık görüntüsünün oluşturulma sıklığını ayarlar.
|
Protocol
Numaralandırma
Redis istemcilerinin TLS-encrypted veya düz metin redis protokollerini kullanarak bağlanıp bağlanamayacağını belirtir. Varsayılan olarak TLS ile şifrelenmiştir.
| Değer |
Description |
|
Encrypted
|
Şifreli
|
|
Plaintext
|
Düz metin
|
ProvisioningState
Numaralandırma
Geçerli sağlama durumu
| Değer |
Description |
|
Succeeded
|
Succeeded
|
|
Failed
|
Failed
|
|
Canceled
|
İptal edilmiş
|
|
Creating
|
Oluşturma
|
|
Updating
|
Updating
|
|
Deleting
|
Siliniyor
|
RdbFrequency
Numaralandırma
Veritabanının anlık görüntüsünün oluşturulma sıklığını ayarlar.
| Değer |
Description |
|
1h
|
1 sa
|
|
6h
|
6h
|
|
12h
|
12 saat
|
ResourceState
Numaralandırma
Geçerli kaynak durumu
| Değer |
Description |
|
Running
|
Running
|
|
Creating
|
Oluşturma
|
|
CreateFailed
|
CreateFailed
|
|
Updating
|
Updating
|
|
UpdateFailed
|
Güncelleme Başarısız
|
|
Deleting
|
Siliniyor
|
|
DeleteFailed
|
Silme İşlemi Başarısız Oldu
|
|
Enabling
|
Etkinleştirme
|
|
EnableFailed
|
EnableFailed
|
|
Disabling
|
Devre dışı bırakma
|
|
DisableFailed
|
Devre Dışı BırakBaşarısız
|
|
Disabled
|
Disabled
|
|
Scaling
|
Scaling
|
|
ScalingFailed
|
ScalingFailed
|
|
Moving
|
Hareketli
|
systemData
Nesne
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Veri Akışı Adı |
Tür |
Description |
|
createdAt
|
string
(date-time)
|
Kaynak oluşturmanın zaman damgası (UTC).
|
|
createdBy
|
string
|
Kaynağı oluşturan kimlik.
|
|
createdByType
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
lastModifiedAt
|
string
(date-time)
|
Kaynağın son değişikliğinin zaman damgası (UTC)
|
|
lastModifiedBy
|
string
|
Kaynağı en son değiştiren kimlik.
|
|
lastModifiedByType
|
createdByType
|
Kaynağı en son değiştiren kimlik türü.
|